Уязвимость BDU:2019-02939

Дата: 27.11.2018. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2019-02939.

Наименование уязвимости: Уязвимость парсера URL-адресов библиотеки Node.js, позволяющая нарушителю получить несанкционированный доступ к защищаемым данным.

Описание уязвимости: Уязвимость парсера URL-адресов Node.js связана с ошибками при обработке HTTP-пакетов. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, получить несанкционированный доступ к защищаемым данным с помощью HTTP-запросов
Уязвимое ПО: Операционная система Novell Inc. OpenSUSE Leap 42.3 | Прикладное ПО информационных систем Novell Inc. SUSE Enterprise Storage 4 | Прикладное ПО информационных систем Novell Inc. SUSE OpenStack Cloud 7 | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise Module for Web Scripting 12 | Операционная система Novell Inc. OpenSUSE Leap 15.0 | Сетевое программное средство Node.js Foundation Node.js от 6 до 6.15.0 | Сетевое программное средство Node.js Foundation Node.js от 8 до 8.14.0 | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise Module for Web Scripting 15 | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise Module for Web Scripting 15 SP1 | Прикладное ПО информационных систем Novell Inc. SUSE OpenStack Cloud Crowbar 8 | Прикладное ПО информационных систем Red Hat Inc. OpenShift Container Platform от 3.6 до 3.10 |

Наименование ОС и тип аппаратной платформы:
Дата выявления: 27.11.2018.
CVSS 2.0: AV:N/AC:L/Au:N/C:N/I:C/A:N
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,8)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,5)

Возможные меры по устранению:
Использование рекомендаций:
Для программных продуктов Node.js Foundation:
https://nodejs.org/en/blog/vulnerability/november-2018-security-releases/
https://github.com/nodejs/node/commit/513e9747a22386bc9c93a12f9698561827a1e631

Для программных продуктов Novell Inc.:
https://www.suse.com/pt-br/security/cve/CVE-2018-12116/

Для программных продуктов Red Hat Inc.:
https://access.redhat.com/security/cve/cve-2018-12116.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2018-12116.
Прочая информация:
Тип ошибки CWE: CWE-115, CWE-444
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://access.redhat.com/errata/RHSA-2019:1821
https://nodejs.org/en/blog/vulnerability/november-2018-security-releases/
https://github.com/nodejs/node/commit/513e9747a22386bc9c93a12f9698561827a1e631
https://www.suse.com/pt-br/security/cve/CVE-2018-12116/
https://access.redhat.com/security/cve/cve-2018-12116

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *